﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace NestedPropertiesPropertGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    
    public partial class MainWindow : Window
    {
        int nameCounter = 0;

        Employee employee;

        public MainWindow()
        {
            InitializeComponent();
            
            employee = new Employee()
            {
                FirstName = "Nancy",
                LastName = "Davolio",
                Title = "Sales Representative",
                HomePhone = "(206) 555-9857",
                Department = new Department()
                {
                    Country = "USA",
                    ID = 1
                }
            };
            DataContext = new Order()
            {
               
                ShipAddress = "Luisenstr. 48",
                ShipCountry = "Germany",
                ShipName = "Toms Spezialitaten",
                ShipPostalCode = "44087",
                Employee = employee

            };
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            nameCounter++;

            var order = this.PropertyGrid1.Item as Order;
            if (order != null)
            {
                order.FirstName = "George " + nameCounter.ToString();
            }
        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
